Categories:
  - Internet
License: GPL-3.0-only
AuthorName: Daniel Gultsch
WebSite: https://conversations.im/
SourceCode: https://github.com/siacs/Conversations
IssueTracker: https://github.com/siacs/Conversations/issues
Translation: https://www.transifex.com/siacs/conversations/
Changelog: https://github.com/siacs/Conversations/blob/HEAD/CHANGELOG.md
Donate: https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=CW3SYT3KG5PDL
LiberapayID: '34225'
Bitcoin: 3KAD8vew6tPZDjiUJNnZ3YUoUxrCEVNwFL

AutoName: Conversations

RepoType: git
Repo: https://github.com/siacs/Conversations

Builds:
  - versionName: 0.1.3
    versionCode: 9
    disable: prebuild jars
    commit: 0.1.3
    submodules: true
    srclibs:
      - Otr4j-jitsi@33d95bb3710986d048fb4cbe42dc991f9ddd9de2
      - BouncyCastle@r1rv50
    rm:
      - libs/android-support-v4.jar
    extlibs:
      - android/android-support-v4.jar
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: 0.2.1
    versionCode: 12
    commit: 0.2.1
    submodules: true
    srclibs:
      - Otr4j-jitsi@30fbaea9388616b268de82be0267acf2441b218b
      - BouncyCastle@r1rv50
    rm:
      - libs/bcprov-jdk15on-150.jar
      - libs/otr4j-0.10.jar
    prebuild:
      - pushd $$BouncyCastle$$
      - ant -f ant/jdk15+.xml build-provider
      - popd
      - cp $$BouncyCastle$$/build/artifacts/jdk1.5/jars/bcprov-jdk15on-150.jar libs/
      - pushd $$Otr4j-jitsi$$
      - mvn clean
      - mvn package
      - popd
      - cp $$Otr4j-jitsi$$/target/otr4j-0.10.jar libs/
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: 0.2.2
    versionCode: 13
    commit: 0.2.2
    submodules: true
    srclibs:
      - Otr4j-jitsi@30fbaea9388616b268de82be0267acf2441b218b
      - BouncyCastle@r1rv50
    rm:
      - libs/bcprov-jdk15on-150.jar
      - libs/otr4j-0.10.jar
    prebuild:
      - pushd $$BouncyCastle$$
      - ant -f ant/jdk15+.xml build-provider
      - popd
      - cp $$BouncyCastle$$/build/artifacts/jdk1.5/jars/bcprov-jdk15on-150.jar libs/
      - pushd $$Otr4j-jitsi$$
      - mvn clean
      - mvn package
      - popd
      - cp $$Otr4j-jitsi$$/target/otr4j-0.10.jar libs/
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: 0.2.3
    versionCode: 14
    commit: 0.2.3
    submodules: true
    srclibs:
      - Otr4j-jitsi@30fbaea9388616b268de82be0267acf2441b218b
      - BouncyCastle@r1rv50
    rm:
      - libs/bcprov-jdk15on-150.jar
      - libs/otr4j-0.10.jar
    prebuild:
      - pushd $$BouncyCastle$$
      - ant -f ant/jdk15+.xml build-provider
      - popd
      - cp $$BouncyCastle$$/build/artifacts/jdk1.5/jars/bcprov-jdk15on-150.jar libs/
      - pushd $$Otr4j-jitsi$$
      - mvn clean
      - mvn package
      - popd
      - cp $$Otr4j-jitsi$$/target/otr4j-0.10.jar libs/
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: '0.3'
    versionCode: 16
    commit: '0.3'
    submodules: true
    srclibs:
      - Otr4j-jitsi@30fbaea9388616b268de82be0267acf2441b218b
      - BouncyCastle@r1rv50
    rm:
      - libs/bcprov-jdk15on-150.jar
      - libs/otr4j-0.10.jar
    prebuild:
      - pushd $$BouncyCastle$$
      - ant -f ant/jdk15+.xml build-provider
      - popd
      - cp $$BouncyCastle$$/build/artifacts/jdk1.5/jars/bcprov-jdk15on-150.jar libs/
      - pushd $$Otr4j-jitsi$$
      - mvn clean
      - mvn package
      - popd
      - cp $$Otr4j-jitsi$$/target/otr4j-0.10.jar libs/
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: '0.4'
    versionCode: 18
    commit: '0.4'
    submodules: true
    srclibs:
      - Otr4j-jitsi@30fbaea9388616b268de82be0267acf2441b218b
      - BouncyCastle@r1rv50
    rm:
      - libs/bcprov-jdk15on-150.jar
      - libs/otr4j-0.10.jar
    prebuild:
      - pushd $$BouncyCastle$$
      - ant -f ant/jdk15+.xml build-provider
      - popd
      - cp $$BouncyCastle$$/build/artifacts/jdk1.5/jars/bcprov-jdk15on-150.jar libs/
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ package
      - popd
      - cp $$Otr4j-jitsi$$/target/otr4j-0.10.jar libs/
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: 0.4.1
    versionCode: 19
    commit: 0.4.1
    submodules: true
    srclibs:
      - Otr4j-jitsi@30fbaea9388616b268de82be0267acf2441b218b
      - BouncyCastle@r1rv50
    rm:
      - libs/bcprov-jdk15on-150.jar
      - libs/otr4j-0.10.jar
    prebuild:
      - pushd $$BouncyCastle$$
      - ant -f ant/jdk15+.xml build-provider
      - popd
      - cp $$BouncyCastle$$/build/artifacts/jdk1.5/jars/bcprov-jdk15on-150.jar libs/
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ package
      - popd
      - cp $$Otr4j-jitsi$$/target/otr4j-0.10.jar libs/
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: '0.5'
    versionCode: 21
    commit: '0.5'
    submodules: true
    srclibs:
      - Otr4j-jitsi@30fbaea9388616b268de82be0267acf2441b218b
      - BouncyCastle@r1rv50
    rm:
      - libs/bcprov-jdk15on-150.jar
      - libs/otr4j-0.10.jar
    prebuild:
      - pushd $$BouncyCastle$$
      - ant -f ant/jdk15+.xml build-provider
      - popd
      - cp $$BouncyCastle$$/build/artifacts/jdk1.5/jars/bcprov-jdk15on-150.jar libs/
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ package
      - popd
      - cp $$Otr4j-jitsi$$/target/otr4j-0.10.jar libs/
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: 0.5.1
    versionCode: 22
    commit: 0.5.1
    submodules: true
    srclibs:
      - Otr4j-jitsi@30fbaea9388616b268de82be0267acf2441b218b
      - BouncyCastle@r1rv50
    rm:
      - libs/bcprov-jdk15on-150.jar
      - libs/otr4j-0.10.jar
    prebuild:
      - pushd $$BouncyCastle$$
      - ant -f ant/jdk15+.xml build-provider
      - popd
      - cp $$BouncyCastle$$/build/artifacts/jdk1.5/jars/bcprov-jdk15on-150.jar libs/
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ package
      - popd
      - cp $$Otr4j-jitsi$$/target/otr4j-0.10.jar libs/
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: 0.5.2
    versionCode: 23
    commit: 0.5.2
    submodules: true
    srclibs:
      - Otr4j-jitsi@30fbaea9388616b268de82be0267acf2441b218b
      - BouncyCastle@r1rv50
    rm:
      - libs/bcprov-jdk15on-150.jar
      - libs/otr4j-0.10.jar
    prebuild:
      - pushd $$BouncyCastle$$
      - ant -f ant/jdk15+.xml build-provider
      - popd
      - cp $$BouncyCastle$$/build/artifacts/jdk1.5/jars/bcprov-jdk15on-150.jar libs/
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ package
      - popd
      - cp $$Otr4j-jitsi$$/target/otr4j-0.10.jar libs/
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: '0.6'
    versionCode: 25
    commit: '0.6'
    submodules: true
    srclibs:
      - Otr4j-jitsi@30fbaea9388616b268de82be0267acf2441b218b
      - BouncyCastle@r1rv50
    rm:
      - libs/bcprov-jdk15on-150.jar
      - libs/otr4j-0.10.jar
    prebuild:
      - pushd $$BouncyCastle$$
      - ant -f ant/jdk15+.xml build-provider
      - popd
      - cp $$BouncyCastle$$/build/artifacts/jdk1.5/jars/bcprov-jdk15on-150.jar libs/
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ package
      - popd
      - cp $$Otr4j-jitsi$$/target/otr4j-0.10.jar libs/
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: '0.7'
    versionCode: 26
    commit: '0.7'
    submodules: true
    srclibs:
      - Otr4j-jitsi@30fbaea9388616b268de82be0267acf2441b218b
      - BouncyCastle@r1rv50
    rm:
      - libs/bcprov-jdk15on-150.jar
      - libs/otr4j-0.10.jar
    prebuild:
      - pushd $$BouncyCastle$$
      - ant -f ant/jdk15+.xml build-provider
      - popd
      - cp $$BouncyCastle$$/build/artifacts/jdk1.5/jars/bcprov-jdk15on-150.jar libs/
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ package
      - popd
      - cp $$Otr4j-jitsi$$/target/otr4j-0.10.jar libs/
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: 0.7.1
    versionCode: 27
    commit: 0.7.1
    submodules: true
    srclibs:
      - Otr4j-jitsi@30fbaea9388616b268de82be0267acf2441b218b
      - BouncyCastle@r1rv50
    rm:
      - libs/bcprov-jdk15on-150.jar
      - libs/otr4j-0.10.jar
    prebuild:
      - pushd $$BouncyCastle$$
      - ant -f ant/jdk15+.xml build-provider
      - popd
      - cp $$BouncyCastle$$/build/artifacts/jdk1.5/jars/bcprov-jdk15on-150.jar libs/
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ package
      - popd
      - cp $$Otr4j-jitsi$$/target/otr4j-0.10.jar libs/
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: 0.7.2
    versionCode: 28
    commit: 0.7.2
    submodules: true
    srclibs:
      - Otr4j-jitsi@30fbaea9388616b268de82be0267acf2441b218b
      - BouncyCastle@r1rv50
    rm:
      - libs/bcprov-jdk15on-150.jar
      - libs/otr4j-0.10.jar
    prebuild:
      - pushd $$BouncyCastle$$
      - ant -f ant/jdk15+.xml build-provider
      - popd
      - cp $$BouncyCastle$$/build/artifacts/jdk1.5/jars/bcprov-jdk15on-150.jar libs/
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ package
      - popd
      - cp $$Otr4j-jitsi$$/target/otr4j-0.10.jar libs/
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: 0.7.3
    versionCode: 31
    commit: 0.7.3
    submodules: true
    srclibs:
      - Otr4j-jitsi@30fbaea9388616b268de82be0267acf2441b218b
      - BouncyCastle@r1rv50
    rm:
      - libs/bcprov-jdk15on-150.jar
      - libs/otr4j-0.10.jar
    prebuild:
      - pushd $$BouncyCastle$$
      - ant -f ant/jdk15+.xml build-provider
      - popd
      - cp $$BouncyCastle$$/build/artifacts/jdk1.5/jars/bcprov-jdk15on-150.jar libs/
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ package
      - popd
      - cp $$Otr4j-jitsi$$/target/otr4j-0.10.jar libs/
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: '0.8'
    versionCode: 32
    commit: '0.8'
    submodules: true
    srclibs:
      - Otr4j-jitsi@30fbaea9388616b268de82be0267acf2441b218b
      - BouncyCastle@r1rv50
    rm:
      - libs/bcprov-jdk15on-150.jar
      - libs/otr4j-0.10.jar
    prebuild:
      - pushd $$BouncyCastle$$
      - ant -f ant/jdk15+.xml build-provider
      - popd
      - cp $$BouncyCastle$$/build/artifacts/jdk1.5/jars/bcprov-jdk15on-150.jar libs/
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ package
      - popd
      - cp $$Otr4j-jitsi$$/target/otr4j-0.10.jar libs/
    scanignore:
      - libs/otr4j-0.10.jar
      - libs/bcprov-jdk15on-150.jar

  - versionName: 0.8.2
    versionCode: 34
    commit: 0.8.2
    gradle:
      - yes
    srclibs:
      - Otr4j-jitsi@6d879761605dba48c80c0d3f44a6555b522d0c2e
    prebuild:
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ install
      - popd
      - sed -i -e '/mavenCentral/amavenLocal()\n' -e '/maven {/d' -e '/jitsi.github.com/,+1d'
        -e '/buildTypes {/i/*' -e '/subprojects/i*/' build.gradle

  - versionName: 0.8.3
    versionCode: 35
    commit: 0.8.3
    gradle:
      - yes
    srclibs:
      - Otr4j-jitsi@6d879761605dba48c80c0d3f44a6555b522d0c2e
    prebuild:
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ install
      - popd
      - sed -i -e '/mavenCentral/amavenLocal()\n' -e '/maven {/d' -e '/jitsi.github.com/,+1d'
        -e '/buildTypes {/i/*' -e '/subprojects/i*/' build.gradle

  - versionName: 0.8.4
    versionCode: 36
    commit: 0.8.4
    gradle:
      - yes
    srclibs:
      - Otr4j-jitsi@6d879761605dba48c80c0d3f44a6555b522d0c2e
    prebuild:
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ install
      - popd
      - sed -i -e '/mavenCentral/amavenLocal()\n' -e '/maven {/d' -e '/jitsi.github.com/,+1d'
        -e '/buildTypes {/i/*' -e '/subprojects/i*/' build.gradle

  - versionName: '0.9'
    versionCode: 37
    commit: '0.9'
    gradle:
      - yes
    srclibs:
      - Otr4j-jitsi@6d879761605dba48c80c0d3f44a6555b522d0c2e
    prebuild:
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ install
      - popd
      - sed -i -e '/mavenCentral/amavenLocal()\n' -e '/maven {/d' -e '/jitsi.github.com/,+1d'
        -e '/buildTypes {/i/*' -e '/subprojects/i*/' build.gradle

  - versionName: 0.9.1
    versionCode: 38
    commit: 0.9.1
    gradle:
      - yes
    srclibs:
      - Otr4j-jitsi@6d879761605dba48c80c0d3f44a6555b522d0c2e
    prebuild:
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ install
      - popd
      - sed -i -e '/mavenCentral/amavenLocal()\n' -e '/maven {/d' -e '/jitsi.github.com/,+1d'
        -e '/buildTypes {/i/*' -e '/subprojects/i*/' build.gradle

  - versionName: 0.9.2
    versionCode: 39
    commit: 0.9.2
    gradle:
      - yes
    srclibs:
      - Otr4j-jitsi@6d879761605dba48c80c0d3f44a6555b522d0c2e
    prebuild:
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ install
      - popd
      - sed -i -e '/mavenCentral/amavenLocal()\n' -e '/maven {/d' -e '/jitsi.github.com/,+1d'
        -e '/buildTypes {/i/*' -e '/subprojects/i*/' build.gradle

  - versionName: 0.9.3
    versionCode: 40
    commit: 0.9.3
    gradle:
      - yes
    srclibs:
      - Otr4j-jitsi@6d879761605dba48c80c0d3f44a6555b522d0c2e
    prebuild:
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ install
      - popd
      - sed -i -e '/mavenCentral/amavenLocal()\n' -e '/maven {/d' -e '/jitsi.github.com/,+1d'
        -e '/buildTypes {/i/*' -e '/subprojects/i*/' build.gradle

  - versionName: '0.10'
    versionCode: 41
    commit: '0.10'
    gradle:
      - yes
    srclibs:
      - Otr4j-jitsi@6d879761605dba48c80c0d3f44a6555b522d0c2e
    prebuild:
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ install
      - popd
      - sed -i -e '/mavenCentral/amavenLocal()\n' -e '/maven {/d' -e '/jitsi.github.com/,+1d'
        -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.0.1
    versionCode: 46
    commit: 1.0.1
    gradle:
      - yes
    srclibs:
      - Otr4j-jitsi@8bc49a960b995ab79583df592abe7a5066599491
    prebuild:
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ install
      - popd
      - sed -i -e '/mavenCentral/amavenLocal()\n' -e '/maven {/d' -e '/jitsi.github.com/,+1d'
        -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.0.3
    versionCode: 48
    commit: 1.0.3
    gradle:
      - yes
    srclibs:
      - Otr4j-jitsi@8bc49a960b995ab79583df592abe7a5066599491
    prebuild:
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ install
      - popd
      - sed -i -e '/mavenCentral/amavenLocal()\n' -e '/maven {/d' -e '/jitsi.github.com/,+1d'
        -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.1.0-beta
    versionCode: 51
    commit: 1.1.0-beta
    gradle:
      - yes
    srclibs:
      - Otr4j-jitsi@8bc49a960b995ab79583df592abe7a5066599491
    prebuild:
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ install
      - popd
      - sed -i -e '/mavenCentral/amavenLocal()\n' -e '/maven {/d' -e '/jitsi.github.com/,+1d'
        -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.1.0
    versionCode: 53
    commit: 1.1.0
    gradle:
      - yes
    srclibs:
      - Otr4j-jitsi@8bc49a960b995ab79583df592abe7a5066599491
    prebuild:
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ install
      - popd
      - sed -i -e '/mavenCentral/amavenLocal()\n' -e '/maven {/d' -e '/jitsi.github.com/,+1d'
        -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.2.0-beta
    versionCode: 54
    commit: 1.2.0-beta
    gradle:
      - yes
    srclibs:
      - Otr4j-jitsi@8bc49a960b995ab79583df592abe7a5066599491
    prebuild:
      - pushd $$Otr4j-jitsi$$
      - $$MVN3$$ clean
      - $$MVN3$$ install
      - popd
      - sed -i -e '/mavenCentral/amavenLocal()\n' -e '/maven {/d' -e '/jitsi.github.com/,+1d'
        -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.2.0
    versionCode: 56
    commit: 1.2.0
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.3.0
    versionCode: 60
    commit: 1.3.0
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.3.1
    versionCode: 61
    commit: 1.3.1
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.4.1
    versionCode: 67
    commit: 1.4.1
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.4.2
    versionCode: 68
    commit: 1.4.2
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.4.3
    versionCode: 69
    commit: 1.4.3
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.4.4
    versionCode: 72
    commit: 1.4.4
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.4.5
    versionCode: 73
    commit: 1.4.5
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.4.7
    versionCode: 75
    commit: 1.4.7
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.5.0
    versionCode: 78
    commit: 1.5.0
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.5.2
    versionCode: 80
    commit: 1.5.2
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.6.0
    versionCode: 84
    commit: 1.6.0
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.6.3
    versionCode: 87
    commit: 1.6.3
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.6.5
    versionCode: 90
    commit: 1.6.5
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.6.6
    versionCode: 91
    commit: 1.6.6
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.6.7
    versionCode: 92
    commit: 1.6.7
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.6.9
    versionCode: 95
    commit: 1.6.9
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.6.10
    versionCode: 96
    commit: 1.6.10
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.6.11
    versionCode: 98
    commit: 1.6.11
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.7.0
    versionCode: 102
    commit: 1.7.0
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.7.2
    versionCode: 105
    commit: 1.7.2
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.7.3
    versionCode: 107
    commit: 1.7.3
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' build.gradle

  - versionName: 1.8.0
    versionCode: 109
    commit: 1.8.0
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.8.1
    versionCode: 112
    commit: 1.8.1
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.8.2
    versionCode: 113
    commit: 1.8.2
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.8.3
    versionCode: 114
    commit: 1.8.3
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.8.4
    versionCode: 115
    commit: 1.8.4
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.9.0
    versionCode: 119
    commit: 1.9.0
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.9.1
    versionCode: 120
    commit: 1.9.1
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.9.2
    versionCode: 121
    commit: 1.9.2
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.9.3
    versionCode: 122
    commit: 1.9.3
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.9.4
    versionCode: 123
    commit: 1.9.4
    gradle:
      - yes
    prebuild: sed -i -e '/applicationVariants/i/*' -e '/lintOptions {/i*/' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.10.0
    versionCode: 127
    commit: 1.10.0
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.10.1
    versionCode: 128
    commit: 1.10.1
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.11.0
    versionCode: 132
    commit: 1.11.0
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.11.1
    versionCode: 133
    commit: 1.11.1
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.11.2
    versionCode: 134
    commit: 1.11.2
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.11.3
    versionCode: 135
    commit: 1.11.3
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.11.4
    versionCode: 136
    commit: 1.11.4
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.11.5
    versionCode: 138
    commit: 1.11.5
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.11.6
    versionCode: 139
    commit: 1.11.6
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.11.7
    versionCode: 140
    commit: 1.11.7
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.12.0
    versionCode: 141
    commit: 1.12.0
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.12.1
    versionCode: 142
    commit: 1.12.1
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.12.2
    versionCode: 143
    commit: 1.12.2
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.12.3
    versionCode: 144
    commit: 1.12.3
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.12.4
    versionCode: 145
    commit: 1.12.4
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.12.7
    versionCode: 148
    commit: 1.12.7
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.12.8
    versionCode: 149
    commit: 1.12.8
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.12.9
    versionCode: 151
    commit: 1.12.9
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.13.0
    versionCode: 154
    commit: 1.13.0
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.13.1
    versionCode: 155
    commit: 490a1ca3cf0a13041f51a8cdecb7cadcaf969fbe
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.13.2
    versionCode: 159
    commit: 1.13.2
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.13.3
    versionCode: 160
    commit: 1.13.3
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.13.4
    versionCode: 161
    commit: 1.13.4
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.13.5
    versionCode: 162
    commit: 1.13.5
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.13.6
    versionCode: 163
    commit: 1.13.6
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.13.7
    versionCode: 165
    commit: 1.13.7
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.13.8
    versionCode: 166
    commit: 1.13.8
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.13.9
    versionCode: 168
    commit: 1.13.9
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/maven {/,+2d' build.gradle

  - versionName: 1.14.0
    versionCode: 171
    commit: 1.14.0
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.14.1
    versionCode: 172
    commit: 1.14.1
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.14.2
    versionCode: 173
    commit: 1.14.2
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.14.3
    versionCode: 174
    commit: 1.14.3
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.14.4
    versionCode: 175
    commit: 1.14.4
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.14.5
    versionCode: 176
    commit: 1.14.5
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.14.6
    versionCode: 179
    commit: 1.14.6
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.14.7
    versionCode: 180
    commit: 1.14.7
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.14.8
    versionCode: 181
    commit: 1.14.8
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.14.9
    versionCode: 182
    commit: 1.14.9
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.15.0
    versionCode: 186
    commit: 1.15.0
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.15.1
    versionCode: 187
    commit: 1.15.1
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.15.2
    versionCode: 188
    commit: 1.15.2
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.15.3
    versionCode: 189
    commit: 1.15.3
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.15.4
    versionCode: 192
    commit: 1.15.4
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.15.5
    versionCode: 193
    commit: 1.15.5
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.16.0
    versionCode: 196
    commit: 1.16.0
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.16.1
    versionCode: 197
    commit: 1.16.1
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.16.2
    versionCode: 199
    commit: 1.16.2
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.17.0
    versionCode: 202
    commit: 1.17.0
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.17.1
    versionCode: 205
    commit: 1.17.1
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.18.0
    versionCode: 208
    commit: 1.18.0
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.18.2
    versionCode: 211
    commit: 1.18.2
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.18.3
    versionCode: 212
    commit: 1.18.3
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.18.4
    versionCode: 214
    commit: 1.18.4
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.18.5
    versionCode: 217
    commit: 1.18.5
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.19.0
    versionCode: 222
    commit: 1.19.0
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.19.3
    versionCode: 225
    commit: 1.19.3
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.19.4
    versionCode: 227
    commit: 1.19.4
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.19.5
    versionCode: 228
    commit: 1.19.5
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.20.0
    versionCode: 233
    commit: 1.20.0
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.20.1
    versionCode: 234
    commit: 1.20.1
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.21.0
    versionCode: 236
    commit: 1.21.0
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' build.gradle

  - versionName: 1.22.0
    versionCode: 239
    commit: 1.22.0
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' -e "s/mavenCentral()/mavenCentral()\n maven { url 'https:\/\/maven.google.com'
        }/" build.gradle

  - versionName: 1.22.1
    versionCode: 240
    commit: 1.22.1
    gradle:
      - free
    prebuild:
      - sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven {/,+2d'
        -e "s/mavenCentral()/mavenCentral()\n maven { url 'https:\/\/maven.google.com'
        }/" build.gradle
      - sed -i -e 's/4.3.1/4.2.1/' gradle/wrapper/gradle-wrapper.properties

  - versionName: 1.23.0
    versionCode: 242
    commit: 1.23.0
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' -e "s/mavenCentral()/mavenCentral()\n maven { url 'https:\/\/maven.google.com'
        }/" build.gradle

  - versionName: 1.23.1
    versionCode: 245
    commit: 1.23.1
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e '/maven
        {/,+2d' -e "s/mavenCentral()/mavenCentral()\n maven { url 'https:\/\/maven.google.com'
        }/" build.gradle

  - versionName: 1.23.2
    versionCode: 246
    commit: 1.23.2
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 1.23.3
    versionCode: 247
    commit: 1.23.3
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 1.23.4
    versionCode: 251
    commit: 1.23.4
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 1.23.5
    versionCode: 252
    commit: 1.23.5
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 1.23.6
    versionCode: 253
    commit: 1.23.6
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 1.23.7
    versionCode: 254
    commit: 1.23.7
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 1.23.8
    versionCode: 255
    commit: 1.23.8
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 2.0.0-beta
    versionCode: 256
    disable: Stable was released
    commit: 216cf1805f5ebf7413f7239a34c1ecc914291a0d
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 2.0.0-beta.2
    versionCode: 257
    disable: Stable was released
    commit: fdac851d46d8db72eb844c7e2de3a574689a43fe
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 2.0.0
    versionCode: 261
    commit: 2.0.0
    gradle:
      - free
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-27'
      - sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 2.1.0
    versionCode: 264
    commit: 2.1.0
    gradle:
      - free
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-27'
      - sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e 's/20180330.211042-9/SNAPSHOT/'
        build.gradle

  - versionName: 2.1.1
    versionCode: 265
    commit: 2.1.1
    gradle:
      - free
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-27'
      - sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' -e 's/20180330.211042-9/SNAPSHOT/'
        build.gradle

  - versionName: 2.1.2
    versionCode: 266
    commit: 2.1.2
    gradle:
      - free
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-27'
      - sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 2.1.4
    versionCode: 268
    commit: 2.1.4
    gradle:
      - free
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-27'
      - sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 2.2.0
    versionCode: 270
    commit: 2.2.0
    gradle:
      - free
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-27'
      - sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 2.2.1
    versionCode: 272
    commit: 2.2.1
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 2.2.2
    versionCode: 273
    commit: 2.2.2
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 2.2.3
    versionCode: 274
    commit: 2.2.3
    gradle:
      - free
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 2.2.4-fcr
    versionCode: 276
    commit: 2.2.4
    gradle:
      - freeCompat
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 2.2.5+fcr
    versionCode: 277
    commit: 2.2.5
    gradle:
      - freeCompat
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 2.2.6+fcr
    versionCode: 278
    commit: 2.2.6
    gradle:
      - freeCompat
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 2.2.7+fcr
    versionCode: 279
    commit: 2.2.7
    gradle:
      - freeCompat
    prebuild: sed -i -e '/playstoreCompile/d' -e '/play-services-gcm/d' build.gradle

  - versionName: 2.2.8+fcr
    versionCode: 280
    commit: 2.2.8
    gradle:
      - freeCompat

  - versionName: 2.2.9+fcr
    versionCode: 283
    commit: 2.2.9
    gradle:
      - freeCompat

  - versionName: 2.3.0+fcr
    versionCode: 290
    commit: 2.3.0
    gradle:
      - freeCompat

  - versionName: 2.3.1+fcr
    versionCode: 293
    commit: 2.3.1
    gradle:
      - freeCompat

  - versionName: 2.3.2+fcr
    versionCode: 294
    commit: 2.3.2
    gradle:
      - freeCompat

  - versionName: 2.3.4+fcr
    versionCode: 296
    commit: 2.3.4
    gradle:
      - freeCompat

  - versionName: 2.3.5+fcr
    versionCode: 297
    commit: 2.3.5
    gradle:
      - freeCompat

  - versionName: 2.3.6+fcr
    versionCode: 299
    commit: 2.3.6
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.3.7+fcr
    versionCode: 303
    commit: 2.3.7
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.3.8+fcr
    versionCode: 305
    commit: 2.3.8
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.3.9+fcr
    versionCode: 307
    commit: 2.3.9
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.3.10+fcr
    versionCode: 309
    commit: 2.3.10
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.3.11+fcr
    versionCode: 314
    commit: 2.3.11
    gradle:
      - conversationsFreeCompat
    prebuild:
      - sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle
      - sed -i -e 's/4.10.3/4.10.2/' gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.3.12+fcr
    versionCode: 317
    commit: 2.3.12
    gradle:
      - conversationsFreeCompat
    prebuild:
      - sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle
      - sed -i -e 's/4.10.3/4.10.2/' gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.4.0-beta+fcr
    versionCode: 318
    disable: beta
    commit: 4c8b1eb4bc1c82b0f777726cbe57f176c67b4cb3
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.4.0-beta.2+fcr
    versionCode: 319
    disable: beta
    commit: bd5b8aff784a750bdddd1e20379804e9ec0bd855
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.4.0+fcr
    versionCode: 320
    commit: 2.4.0
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.4.1+fcr
    versionCode: 321
    commit: 2.4.1
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.4.2+fcr
    versionCode: 322
    commit: 2.4.2
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.4.3+fcr
    versionCode: 323
    commit: 2.4.3
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.5.0+fcr
    versionCode: 326
    commit: 2.5.0
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.5.1+fcr
    versionCode: 327
    commit: 2.5.1
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.5.2+fcr
    versionCode: 329
    commit: 2.5.2
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.5.3+fcr
    versionCode: 330
    commit: 2.5.3
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.5.4+fcr
    versionCode: 333
    commit: 2.5.4
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.5.5+fcr
    versionCode: 334
    commit: 2.5.5
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.5.6+fcr
    versionCode: 336
    commit: 2.5.6
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.5.7+fcr
    versionCode: 337
    commit: 2.5.7
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.5.8+fcr
    versionCode: 338
    commit: 2.5.8
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.5.9+fcr
    versionCode: 339
    disable: issues on Xiaomi 8 and Android <5
    commit: 2.5.9
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.5.11+fcr
    versionCode: 341
    commit: 2.5.11
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.5.12+fcr
    versionCode: 346
    commit: 2.5.12
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.6.0+fcr
    versionCode: 349
    commit: 2.6.0
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.6.1+fcr
    versionCode: 351
    commit: 2.6.1
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.6.2+fcr
    versionCode: 353
    commit: 2.6.2
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.6.3+fcr
    versionCode: 360
    commit: 2.6.3
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.6.4+fcr
    versionCode: 362
    commit: 2.6.4
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.7.0+fcr
    versionCode: 364
    commit: 2.7.0
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.7.1+fcr
    versionCode: 367
    commit: 2.7.1
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.8.0+fcr
    versionCode: 379
    commit: 2.8.0
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/aabortOnError\
        false' -e '/libwebrtc/d' -e "/phonenumber/aimplementation 'org.webrtc:google-webrtc:1.0.+'"
        -e '/splits/,+5d' -e '/Variants.all/,+10d' build.gradle

MaintainerNotes: |-
    We go back to targetSdk 25 so users can disable the foreground service (and
    annoying notification) if they choose to.
    For 2.8.0 we replace the webrtc.aar with the latest M79 from maven, but
    that won't be updated anymore so we'll need to start building locally in the future.

AutoUpdateMode: Version ++fcr %v
UpdateCheckMode: Tags
CurrentVersion: 2.8.0+fcr
CurrentVersionCode: 379
